local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onTalk()

  local heartcheck = getFlag("Flamecrafter113_heart_Any")

  if heartcheck then
    setFlag("ProgressionWarp", true)

  else
    disableMovement()
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("Curse Casual", "CC_Flamecrafter113_TemporalRift_ProgressTracker_Locked"))
  end
end

function onEnd()
  enableMovement()
end